def fusion_ligne(ligne1, ligne2):
    """ligne1 et ligne2 des dictionnaires.
    retourne une copie de ligne1 où les paires clé:valeurs de ligne2 ne correspondant pas à une clé de ligne1 ont étés ajoutées.

    >>> fusion_ligne({"a":1, "b":2}, {"a":2, "c":3})
    {"a":1, "b":2, "c":3}
    """
    fusion = ligne1.copy()
    for c in ligne2:
        if not c in fusion:
            fusion[c] = ligne2[c]
    return fusion

def fusion_insee(localisation, population):
    # Vous devez implémenter cette fonction
    
from aide import * 
population = charger_csv("population.csv")
localisation = charger_csv("localisation.csv")
communes = fusion_insee(localisation, population)
afficher_table(communes[:10])
